Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1618786 - tower-cli ignores name provided while copying objects
Summary: tower-cli ignores name provided while copying objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-ansible-tower-cli
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-17 15:08 UTC by Eric Lavarde
Modified: 2020-07-21 00:35 UTC (History)
3 users (show)

Fixed In Version: python-ansible-tower-cli-3.3.9-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-21 00:35:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Fix to avoid that the given name is ignored while copying (deleted)
2018-08-17 15:08 UTC, Eric Lavarde
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github ansible tower-cli issues 471 0 None None None 2018-08-17 15:10:35 UTC

Description Eric Lavarde 2018-08-17 15:08:08 UTC
Created attachment 1476641 [details]
Fix to avoid that the given name is ignored while copying

Description of problem:

When calling `tower-cli <object> copy --name newname <id>`, "newname" is ignored and instead a name is generated using a timestamp. This means though that if the command is called twice in the same second, you get a duplicate name.

Version-Release number of selected component (if applicable):

3.3.0

How reproducible:

Always.

Steps to Reproduce:
1. tower-cli <object> copy --name newname <id>

Actual results:

A copy of the object is created with the name "oldname @ HH:MM:SS"

Expected results:

A copy of the object is created with the name "newname"

Additional info:

There is already a PR upstream, closing the issue upstream, and I would appreciate a patched package for a customer project I have currently:

https://github.com/ansible/tower-cli/pull/594

(the patch is also attached)

Comment 1 Fedora Update System 2020-07-05 08:15:37 UTC
FEDORA-EPEL-2020-b5484a8f44 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b5484a8f44

Comment 2 Fedora Update System 2020-07-06 00:29:45 UTC
FEDORA-EPEL-2020-b5484a8f44 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b5484a8f44

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-07-21 00:35:52 UTC
FEDORA-EPEL-2020-b5484a8f44 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.